lintex(1)

NAME
lintex - removes TeX-related garbage files

SYNOPSIS
lintex [ -i ] [ -r ] [ -b ext ] [ -p ] [ -k ] [ -o ] [ -q ] [ -v ] [ -d ] [ dir [ dir ... ]]

DESCRIPTION
lintex is a program that removes TeX-related auxiliary files, normally not needed after a successful TeX run (i.e. log, aux, dvi, ... files); they are actually removed only if their modification timestamp is more recent than the one of the related TeX source and if they aren't readonly. In addition, all the backup files that your favorite editor has generated are also removed.

OPTIONS

-i  Asks the user permission before actually removing any file.

-r  The given directories are scanned recursively; i.e., if they contain any subdirectory structure, all the tree will be cleaned up.

-b ext
    ext is the trailer string (the 'extension') that identifies the backup files generated by your editor, e.g. -b .bak; ext defaults to ~ (the tilde character), i.e. to the emacs convention. If ext includes characters having a special meaning for the shell, it must be enclosed in quotes: e.g. -b "~" (equivalent to the default). Specifying the null string, as in -b "", inhibits the cleanup of any special file.

-p  Pretends, show what files would be removed but don't actually remove them.

-k  Keeps final documents (.pdf, .ps, .dvi).

-o  Permits the removal of files older than their sources.

-q  Quiet, only prints error messages.

-v  Verbose, prints which files were removed and which weren't.

-d  Debug, prints the answers to all of life's questions.

PARAMETERS

dir The name(s), separated by whitespace, of one or more directories to be cleaned; if missing, the default is the current directory.

EXTENSIONS THAT GET REMOVED
All files ending in the following extensions may be removed when appropriate:

   .aux, .bbl, .bcf, .blg, .dvi, .idx, .ilg, .ind, .lof, .log, .lot, .nav, .out, .pdf, .ps, .snm, .thm, .toc, .toc.old, .synctex.gz, .xyc

ENVIRONMENT
The HOME environment variable determines the location of the configuration file, see FILES below.

FILES
Users can create a configuration file $HOME/.lintexrc which optionally contains the keys remove-exts and keep-exts, each followed by a Python style list of extensions to additionally remove or keep, respectively. Each extension must be preceded by a period, e.g. ".pdf" and not "pdf". The keep-exts key is only used when the keep option (-k) is passed. Note that the extensions listed in the keep-exts field replace the defaults used by the -k option. The keep-exts option also takes precedence over remove-exts: no file ending in an extension removed by default or listed in remove-exts will be deleted if its extension is listed in keep-exts and the -k option was passed. For example, the configuration file

    keep-exts = [".pdf", ".ps", ".log"];
    remove-exts = [".txt", ".1"];

will keep any file ending in ".pdf", ".ps" or ".log" when lintex is called with the -k option (but not files ending in ".dvi"), and adds ".txt" and ".1" to the list of extensions to check for removal. The following configuration file provides lintex with its default behaviour:

    keep-exts = [".pdf", ".ps", ".dvi"];
    remove-exts = [];

BUGS
lintex cannot handle extensions containing periods, for example, ".toc.old" and ".synctex.gz", since it splits filenames at the last period to find the extension, treating "foo.toc.old" as the file "foo.toc" with the extension ".old".

AUTHOR
lintex was written by Maurizio Loreti <Maurizio_Loreti@gmail.com> between 1996 and 2002.

As of 2010, lintex is maintained by Ryan Kavanagh <rak@debian.org>. It features several extensions/bug fixes. Feel free to email him with your comments and suggestions.

COPYRIGHT

Copyright © 1996–2002 Maurizio Loreti <Maurizio_Loreti@gmail.com>

Copyright © 2010–2015 Ryan Kavanagh <rak@debian.org>

lintex is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

lintex is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License (here included in the file COPYING), for more details.